<div class="container">
  <h1>Ajouter un Patient</h1>
  <br>
  <form (ngSubmit)="saveForm2()">

    <div class="form-group row">
      <label for="nom" class="col-sm-3 col-form-label">Nom :</label>
      <div class="col-sm-7">
        <input id="nom" type="text" class="form-control" name="nom" required placeholder="Nom:" minlength="3" [(ngModel)]="patient.nom">
      </div>
    </div>

    <div class="form-group row">
      <label for="prenom" class="col-sm-3 col-form-label">Prénom :</label>
      <div class="col-sm-7">
        <input id="prenom" type="text" class="form-control" name="prenom" required placeholder="Prenom:" minlength="3" [(ngModel)]="patient.prenom">
      </div>
    </div>

    <div class="form-group row">
      <label for="date" class="col-sm-3 col-form-label">Date De Naissance :</label>
      <div class="col-sm-7">
        <input id="date" type="date" class="form-control" name="date" required placeholder="1995-03-23" [(ngModel)]="patient.dateNaissance">
      </div>
    </div>

    <div class="form-group row">
      <label for="email" class="col-sm-3 col-form-label">Email :</label>
      <div class="col-sm-7">
        <input id="email" type="email" class="form-control" name="email" required [(ngModel)]="patient.email">
      </div>
    </div>

    <div class="form-group row">
      <label for="tel" class="col-sm-3 col-form-label">Telephone :</label>
      <div class="col-sm-7">
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text">+216</span>
          </div>
          <input id="tel" type="text" class="form-control" name="tel" required maxlength="8" [(ngModel)]="patient.tel" >
          <!--   <input id="tel" type="number" class="form-control" required min="10000000" max="99999999" placeholder="numero" maxlength="8" [(ngModel)]="patient.tel">-->
        </div>
      </div>
    </div>

    <div class="form-group row">
      <label for="listGen" class="col-sm-3 col-form-label">Généraliste :</label>
      <div class="col-sm-7">
        <input list="listGen" class="form-control" required>
        <datalist id="listGen">
          <option value=[(ngModel)]="patient.generaliste">
        </datalist>
      </div>
    </div>

    <div class="form-group row">
      <label for="photo" class="col-sm-3 col-form-label">Photo :</label>
      <div class="col-sm-7">
        <input id="photo" type="file" class="form-control" name="photo" required [(ngModel)]="patient.photo">
      </div>
    </div>

    <div style="text-align: center">
      <button type="submit" class="btn btn-success" >Submit</button>
    </div>
  </form>
</div>

